Skip to main content
PUT
/
serviceaccounts
/
{subject}
Update Service Account
curl --request PUT \
  --url https://use.hoop.dev/api/serviceaccounts/{subject} \
  --header 'Content-Type: application/json' \
  --data '
{
  "subject": "bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW",
  "groups": [
    "engineering"
  ],
  "name": "system-automation"
}
'
import requests

url = "https://use.hoop.dev/api/serviceaccounts/{subject}"

payload = {
"subject": "bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW",
"groups": ["engineering"],
"name": "system-automation"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
subject: 'bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW',
groups: ['engineering'],
name: 'system-automation'
})
};

fetch('https://use.hoop.dev/api/serviceaccounts/{subject}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "subject": "bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW",
  "groups": [
    "engineering"
  ],
  "id": "BF997324-5A27-4778-806A-41EE83598494",
  "name": "system-automation",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"message": "the error description"
}
{
"message": "the error description"
}
{
"message": "the error description"
}
{
"message": "the error description"
}

Path Parameters

subject
string
required

The subject identifier of the service account

Body

application/json

The request body resource

status
enum<string>
required

Inactive service account will not be able to access the api

Available options:
active,
inactive
subject
string
required

Subject is the external identifier that maps the user from the identity provider. This field is immutable after creation

Example:

"bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW"

groups
string[]

The groups in which this service account belongs to

Example:
["engineering"]
name
string

The display name of this service account

Example:

"system-automation"

Response

OK

status
enum<string>
required

Inactive service account will not be able to access the api

Available options:
active,
inactive
subject
string
required

Subject is the external identifier that maps the user from the identity provider. This field is immutable after creation

Example:

"bJ8xV3ASWGTi7L9Z6zvHKqxJlnZM5TxV1bRdc0706vW"

groups
string[]

The groups in which this service account belongs to

Example:
["engineering"]
id
string<uuid>
read-only

The unique identifier of this resource

Example:

"BF997324-5A27-4778-806A-41EE83598494"

name
string

The display name of this service account

Example:

"system-automation"

org_id
string<uuid>
read-only

Organization ID